/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package core;

/**
 *
 * @author pchr
 */
public class StoreyElement {
    private int id;
    private static int numElems=0;
    private Node thepoint;
    private double bx;
    private double by;    
    
    public StoreyElement(){}
    
    public StoreyElement(Node thepoint, double bx, double by){
        this.id=++numElems;
        this.thepoint=thepoint;
        this.bx=bx;
        this.by=by;
    }
    
    public int getId(){
        return this.id;
    }
    
    public Node getPoint(){
        return this.thepoint;
    }
    
    public double getIy(){
        return by*bx*bx*bx/12.;
    }
    
    public double getIx(){
        return bx*by*by*by/12.;
    }
    
    public void clear(){
        numElems=0;
    }
    
    public double getbx(){
        return this.bx;
    }
    
    public double getby(){
        return this.by;
    }
    
    public Node getEdge1(){
        return new Node(1,thepoint.getX()-bx/2.,thepoint.getY()-by/2.);
    }
    
    public Node getEdge2(){
        return new Node(2,thepoint.getX()+bx/2.,thepoint.getY()-by/2.);
    }
    
    public Node getEdge3(){
        return new Node(3,thepoint.getX()+bx/2.,thepoint.getY()+by/2.);
    }
    
    public Node getEdge4(){
        return new Node(4,thepoint.getX()-bx/2.,thepoint.getY()+by/2.);
    }
}
